#!/bin/sh
#-------------------------------------------------------------------------------
# $Copyright:   $
#
# $Header:  $
#
# $Author:  $
# $Date:  $
# $Revision:  $
#-------------------------------------------------------------------------------

set -e
set -u

#-------------------------------------------
# Quick script to import type definitioins
#-------------------------------------------
agent_name="Informix"
conf_dir="/etc/VRTSagents/ha/conf/${agent_name}"
tmp_dir="${conf_dir}/temp"

cf_file=${agent_name}Types.cf

#--------------------------------
# For Solaris : Get HAD Version
#--------------------------------

os_name=`/bin/uname -s`
if [ "${os_name}" = "SunOS" ]; then
	#------------------
	# Define commands..
	#------------------
	grep_cmd="/bin/grep"
	sed_cmd="/bin/sed"

	if [ ! -f "/bin/grep" ]; then
	  grep_cmd=grep
	fi
	if [ ! -f "/bin/sed" ]; then
	  sed_cmd=sed
	fi

	had_ver=`/opt/VRTSvcs/bin/had -version | $grep_cmd "Join Version" | $sed_cmd 's/Join Version//'`
	had_shortver=`echo $had_ver| \
	$sed_cmd -e 's/[\.]//g
	s/^\([0-9]\{4\}\).*/\1/'`

	cf_file=${agent_name}Types50.cf
	if [ $had_shortver -ge 5100 ]; then
		cf_file=${agent_name}Types51.cf
	fi
fi

cur_dir=${PWD}
cd ${conf_dir}
mkdir -p ${tmp_dir}
cp ${cf_file} ${tmp_dir}/${cf_file}
echo "include \"${cf_file}\"" > ${tmp_dir}/main.cf
cd ${tmp_dir}

vcs_dir="/opt/VRTSvcs/bin"
PATH="$vcs_dir:$PATH"
export PATH

$vcs_dir/hacf -verify .
set +e
$vcs_dir/haconf -makerw 
set -e
sh main.cmd
$vcs_dir/haconf -dump

cd ${cur_dir}
rm ${tmp_dir}/${cf_file}
rm ${tmp_dir}/main.cf
rm ${tmp_dir}/main.cmd
rmdir ${tmp_dir}

echo "${agent_name} Agent Type successfully imported."
